Bug 1128048 - print log file sizes in bkr job-logs
Summary: print log file sizes in bkr job-logs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: command line
Version: 0.17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 0.18
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 07:36 UTC by Dan Callaghan
Modified: 2018-02-06 00:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-04 05:41:13 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2014-08-08 07:36:46 UTC
It would be nice if bkr job-logs could also print the size of each file. This helps users who want to understand how much storage space their Beaker logs are consuming.

For now, it will have to just fetch the size of each log file individually using a HEAD request, so it won't be very efficient or fast. In future if Beaker tracks log file sizes (bug 1128008) we could return the sizes in one go from Beaker instead.

Comment 1 Dan Callaghan 2014-08-08 08:02:08 UTC
On Gerrit: http://gerrit.beaker-project.org/3239

Comment 4 Dan Callaghan 2014-09-04 05:41:13 UTC
Beaker 0.18.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.